% con_ang = [
%     152.73 155.7 149.97;
%     125.6 152.24 98.97;
%     146.58	161.77 131.39;
%     106.34 126.83 85.85;
%     94.25 111.96 76.54;
%     101.48 117.08 85.88;   ]; % G B V H Ch Fl
%
% theory_ang = [
%     155.15 0 0;
%     127.78 0 0;
%     152.02 0 0;
%     103.11 0 0;
%     94.56 0 0;
%     0 0 0;  ];
%
% con_error = [
%     6.75 5.59 9.94;
%     9.29 10.45 12.05;
%     4.89 3.95 8.94;
%     2.75 4.83 2.64;
%     3.8 5.43 5.31;
%     3.49 5.18 4.69; ];

con_ang = [
    158.08 147.15 ; %green
    120.57 123.25 ; %
    103.11 106.34 ;
    156.89 146.58 ;
    0 101.48 ;   ]; %theroy // experiment // G B H V Fl

ad_r_ang = [
    155.7 149.97;
    152.24 98.97;
    126.83 85.85;
    161.77 131.39;
    117.08 85.88;  ]; %advancing // receding // G B H V Fl

con_error = [
    0 6.75 ; % green
    0 9.29 ; % brown
    0 2.75 ; % heat
    0 4.89 ; % vacuum
    0 3.49 ; ]; % error  theory / experiment mean

con_error2 = [
    5.59 9.94; % green
    10.45 12.05; % brown
    4.83 2.64; % heat
    3.95 8.94; % vacuum
    5.18 4.69; ]; %flat   % error  adv / rec mean
col = 1/255*[237 177 32; 119 172 48; 217 83 25; 126 47 142]; %[126 47 142];

x1 = [ 0.7 0.6 0.9 1.2 ; 1.7 1.6 1.9 2.2 ; 2.7 2.6 2.9 3.2 ; 3.7 3.6 3.9 4.2 ;
    4.9 4.8 5.1  4.9 ; ];
w = [0.1, 0.1, 0.3, 0.3];

Data_Statistics;

figure(109); clf; hold on;
for i = 1:size(Adv,1)
    
    %%%%% Adv angles %%%%%
    for j = 1:4 %% 1= Adv; 2 = Rec; 3 = Mean; 4 = Theory;
        if j == 1, TT = Adv(:,1); TJ = Adv; elseif j == 2, TT = Rec(:,1); TJ = Rec;
        elseif j == 3, TT = Equ(:,1); TJ = Equ;  elseif j == 4, TT = con_ang(:,1); end  
        
        b = patch( x1(i,j)*[1 1 1 1]+w(j)/2*[1 1 -1 -1], TT(i)*[0 1 1 0], col(j,:) );
        if j == 1, b1=b; elseif j == 2, b2=b; elseif j == 3, b3=b;  elseif j == 4, b4=b; end
        
        if j < 4
            %%% To plot min and max
            plot(x1(i,j)*[1 1], [TJ(i,4) TJ(i,3)], 'k' , 'linewidth', 1)
            plot(x1(i,j)*[1 1]+w(j)/4*[1 -1], TJ(i,4)*[1 1], 'k' , 'linewidth', 1)
            plot(x1(i,j)*[1 1]+w(j)/4*[1 -1], TJ(i,3)*[1 1], 'k' , 'linewidth', 1)
            %%% Quartile %%%%%
            plot(x1(i,j)*[1 1 1 1 1]+w(j)/4*[1 -1 -1 1 1], [TJ(i,5)*[1 1], TJ(i,6)*[1 1], TJ(i,5)], 'k' , 'linewidth', 0.5)
            %%%% Median %%%%
            plot(x1(i,j)*[1 1]+w(j)/4*[1 -1], TJ(i,7)*[1 1], 'r' , 'linewidth', 2)
            
        end
    end
    
end

hold off;
grid on;
legend([b2 b1 b3 b4], 'location', 'northoutside','Orientation','horizontal', {'Receding', 'Advancing', 'Experimental', 'Theoretical'});
% legend({'Theory', 'Mean', 'Adv', 'Rec'})
ylabel('Contact angle (\circ)', 'fontsize', 30);
set(gca,'fontsize', 30)
box on;
ax = gca;
ax.XTick = [1 2 3 4 5];
ax.XTickLabels = {'Green','Brown','Heat','Vacuum', 'Flat wax', 'fontsize', 30};
ax.XTickLabelRotation = 45;
axis([0.3 5.3 60 180])
